<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelPortfolioRequest StructType
 * @subpackage Structs
 */
class HotelPortfolioRequest extends AbstractStructBase
{
    /**
     * The Synonyms
     * @var bool
     */
    public $Synonyms;
    /**
     * The ModificationDate
     * @var string
     */
    public $ModificationDate;
    /**
     * Constructor method for HotelPortfolioRequest
     * @uses HotelPortfolioRequest::setSynonyms()
     * @uses HotelPortfolioRequest::setModificationDate()
     * @param bool $synonyms
     * @param string $modificationDate
     */
    public function __construct($synonyms = null, $modificationDate = null)
    {
        $this
            ->setSynonyms($synonyms)
            ->setModificationDate($modificationDate);
    }
    /**
     * Get Synonyms value
     * @return bool|null
     */
    public function getSynonyms()
    {
        return $this->Synonyms;
    }
    /**
     * Set Synonyms value
     * @param bool $synonyms
     * @return \StructType\HotelPortfolioRequest
     */
    public function setSynonyms($synonyms = null)
    {
        // validation for constraint: boolean
        if (!is_null($synonyms) && !is_bool($synonyms)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($synonyms, true), gettype($synonyms)), __LINE__);
        }
        $this->Synonyms = $synonyms;
        return $this;
    }
    /**
     * Get ModificationDate value
     * @return string|null
     */
    public function getModificationDate()
    {
        return $this->ModificationDate;
    }
    /**
     * Set ModificationDate value
     * @param string $modificationDate
     * @return \StructType\HotelPortfolioRequest
     */
    public function setModificationDate($modificationDate = null)
    {
        // validation for constraint: string
        if (!is_null($modificationDate) && !is_string($modificationDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($modificationDate, true), gettype($modificationDate)), __LINE__);
        }
        $this->ModificationDate = $modificationDate;
        return $this;
    }
}
